Bug 30132 - Up2date gets error updating amanda
Up2date gets error updating amanda
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Preston Brown
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2001-02-28 22:55 EST by Mike Chambers
Modified: 2015-01-07 18:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-01 11:55:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike Chambers 2001-02-28 22:55:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

When trying to update all available packages, or just amanda itself, 
up2date errors with dependency problem

Reproducible: Always
Steps to Reproduce:
1.try to update all packages
2.try to update just amanda package

Actual Results:  Get error stating ..

"Could not solve dependency libamanda-2.4.2.so"

Expected Results:  Should update amanda as this program hasn't been 
touched except during initial wolverine install.

I do have kernel 2.4.2 installed/compiled so not sure if this plays a part 
or not, but it shouldn't.  Just thought I should mention it.
Comment 1 Adrian Likins 2001-03-01 11:21:09 EST
This is more or less "notabug". What is happening is that
amanda has flagged configuration files, and up2date does a config
file check for these packages and by default, does not install
some of the updated amanda packages because of this. 

The easiest thing to do is to run the gui version, and select
all the amanda packages to be upgraded in the "Packages marked to be
skipped list" screen. If all the packages are selected, this depenency
error will not occur.
Comment 2 michaelc 2001-03-01 11:55:45 EST
Ok thanks.  I do have couple amanda packages that are marked as changed so I 
will look into trying that tonight.

Note You need to log in before you can comment on or make changes to this bug.